Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OS_NS_sys_mman.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Global_Macros.h"`
`#include "ace/os_include/sys/os_types.h"`
`#include "ace/os_include/sys/os_mman.h"`
`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_sys_mman.inl"`

Include dependency graph for OS_NS_sys_mman.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | ACE_OS
## A set of wrappers for memory mapped files.
ACE_NAMESPACE_INLINE_FUNCTION int | madvise (caddr_t addr, size_t len, int map_advice)
ACE_NAMESPACE_INLINE_FUNCTION void * | mmap (void *addr, size_t len, int prot, int flags, ACE_HANDLE handle, off_t off=0, ACE_HANDLE *file_mapping=0, LPSECURITY_ATTRIBUTES sa=0, const ACE_TCHAR *file_mapping_name=0)
ACE_NAMESPACE_INLINE_FUNCTION int | mprotect (void *addr, size_t len, int prot)
ACE_NAMESPACE_INLINE_FUNCTION int | msync (void *addr, size_t len, int sync)
ACE_NAMESPACE_INLINE_FUNCTION int | munmap (void *addr, size_t len)
## Defines
#define | ACE_EXPORT_MACRO ACE_Export
#define | ACE_INLINE inline
## Functions
ACE_NAMESPACE_INLINE_FUNCTION ACE_HANDLE | shm_open (const ACE_TCHAR *filename, int mode, int perms=0, LPSECURITY_ATTRIBUTES sa=0)
ACE_NAMESPACE_INLINE_FUNCTION int | shm_unlink (const ACE_TCHAR *path)

## Detailed Description

Id
  OS_NS_sys_mman.h,v 1.5 2005/10/28 16:14:54 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller<stophph@diku.dk>

  and a cast of thousands...

Originally in OS.h.

## Define Documentation

#define ACE_EXPORT_MACRO ACE_Export

#define ACE_INLINE inline

## Function Documentation

ACE_INLINE int ACE_OS::madvise | ( | caddr_t | addr,
|  | size_t | len,
|  | int | map_advice
| ) |

ACE_INLINE void * ACE_OS::mmap | ( | void * | addr,
|  | size_t | len,
|  | int | prot,
|  | int | flags,
|  | ACE_HANDLE | handle,
|  | off_t | off = `0`,
|  | ACE_HANDLE * | file_mapping = `0`,
|  | LPSECURITY_ATTRIBUTES | sa = `0`,
|  | const ACE_TCHAR * | file_mapping_name = `0`
| ) |

ACE_INLINE int ACE_OS::mprotect | ( | void * | addr,
|  | size_t | len,
|  | int | prot
| ) |

ACE_INLINE int ACE_OS::msync | ( | void * | addr,
|  | size_t | len,
|  | int | sync
| ) |

ACE_INLINE int ACE_OS::munmap | ( | void * | addr,
|  | size_t | len
| ) |

ACE_INLINE ACE_HANDLE ACE_OS::shm_open | ( | const ACE_TCHAR * | filename,
|  | int | mode,
|  | int | perms = `0`,
|  | LPSECURITY_ATTRIBUTES | sa = `0`
| ) |

ACE_INLINE int ACE_OS::shm_unlink | ( | const ACE_TCHAR * | path | ) |